package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFL71Data {

    private Map<String, Object> params;
    
    public MWFL71Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsCislosu() {
        return (Long) params.get("RS_CISLOSU");
    }

    public Long rsCislobu() {
        return (Long) params.get("RS_CISLOBU");
    }

    public String rsVipklient() {
        return (String) params.get("RS_VIPKLIENT");
    }

    public Long rsTypuctu() {
        return (Long) params.get("RS_TYPUCTU");
    }

    public Long rsRozhodneobdobi() {
        return (Long) params.get("RS_ROZHODNEOBDOBI");
    }

    public Double rsBonusovaurokovasazba() {
        return (Double) params.get("RS_BONUSOVAUROKOVASAZBA");
    }

    public Long rsPrechodneobdobi() {
        return (Long) params.get("RS_PRECHODNEOBDOBI");
    }

    public Long rsCislotp() {
        return (Long) params.get("RS_CISLOTP");
    }

    public Double rsMesicniplatba() {
        return (Double) params.get("RS_MESICNIPLATBA");
    }

    public String rsStatussf() {
        return (String) params.get("RS_STATUSSF");
    }

    public Double rsZustateksu() {
        return (Double) params.get("RS_ZUSTATEKSU");
    }

    public Double rsBonusoveuroky() {
        return (Double) params.get("RS_BONUSOVEUROKY");
    }

    public java.util.Date rsDatumposledniotocky() {
        return (java.util.Date) params.get("RS_DATUMPOSLEDNIOTOCKY");
    }

    public java.util.Date rsDatumnasledujiciotocky() {
        return (java.util.Date) params.get("RS_DATUMNASLEDUJICIOTOCKY");
    }

    public java.util.Date rsDatumnaslkonceobdobi() {
        return (java.util.Date) params.get("RS_DATUMNASLKONCEOBDOBI");
    }

    public String rsNazevuctu() {
        return (String) params.get("RS_NAZEVUCTU");
    }

    public String rsIdentifikatoructu() {
        return (String) params.get("RS_IDENTIFIKATORUCTU");
    }

    public String rsNazevuctubu() {
        return (String) params.get("RS_NAZEVUCTUBU");
    }

    public String rsIdentifikatoructubu() {
        return (String) params.get("RS_IDENTIFIKATORUCTUBU");
    } 

}
